summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorChristoph Junghans <junghans@lanl.gov>2019-02-23 17:01:52 -0700
committerChristoph Junghans <junghans@lanl.gov>2019-02-23 17:01:52 -0700
commitdd6c35b9703eafef7c681b4196de61293b3a43c2 (patch)
treeeaa4a41e60dfcac77e5acb38af60c475e5a0ef9a
parent1469693906a473715e6c1583c27c4a93de67da35 (diff)
downloadfedora-review-dd6c35b9703eafef7c681b4196de61293b3a43c2.tar.gz
fedora-review-dd6c35b9703eafef7c681b4196de61293b3a43c2.tar.xz
fedora-review-dd6c35b9703eafef7c681b4196de61293b3a43c2.zip
libaec: fixed a typo V
-rwxr-xr-xreview.sh22
1 files changed, 21 insertions, 1 deletions
diff --git a/review.sh b/review.sh
index 8f7de7d..9369eb7 100755
--- a/review.sh
+++ b/review.sh
@@ -1,5 +1,19 @@
#!/bin/bash -xe
+spin()
+{
+ spinner="/|\\-/|\\-"
+ while :
+ do
+ for i in `seq 0 7`
+ do
+ echo -n "${spinner:$i:1}"
+ echo -en "\010"
+ sleep 1
+ done
+ done
+}
+
PKG="$1"
MOCK_CONFIG="$2"
EXIT_CODE=0
@@ -12,7 +26,13 @@ spectool -g ${PKG}.spec
rpmbuild -D"_sourcedir ${PWD}" -D"_srcrpmdir ${PWD}" -bs ${PKG}.spec
chown -R review:mock ${H}
-sudo -u review fedora-review -v --mock-config ${MOCK_CONFIG} -n ${PKG} --mock-options "--no-bootstrap-chroot --no-cleanup-after --no-clean --old-chroot" || EXIT_CODE=1
+spin &
+SPIN_PID=$!
+trap "kill -9 $SPIN_PID" $(seq 0 15)
+if ! sudo -u review fedora-review -v --mock-config ${MOCK_CONFIG} -n ${PKG} --mock-options "--no-bootstrap-chroot --no-cleanup-after --no-clean --old-chroot"; then
+ EXIT_CODE=1
+fi
+kill -9 $SPIN_PID
find "review-${PKG}" -name '*.log' -print -exec cat {} ; || true
cat review-${PKG}/licensecheck.txt || true
cat review-${PKG}/review.txt || true